---
id: Text area
section: components
cssPrefix: pf-c-form-control
propComponents: ['TextArea']
---

## Examples

### Basic

```ts file="./TextAreaBasic.tsx"
```

### Invalid

```ts file="./TextAreaInvalid.tsx"
```

### Validated

```ts file="./TextAreaValidated.tsx"
```

### Vertically resizable

```ts file="./TextAreaVerticallyResizable.tsx"
```

### Horizontally resizable

```ts file="./TextAreaHorizontallyResizable.tsx"
```

### Uncontrolled

```ts file="./TextAreaUncontrolled.tsx"
```

### Disabled

```ts file="./TextAreaDisabled.tsx"
```

### Read only

```ts file="./TextAreaReadOnly.tsx"
```

### Auto resizing

```ts file="./TextAreaAutoResizing.tsx"
```

### Icon sprite variants

**Note:** The icons for the success, invalid, calendar, etc. variations in form control elements are applied as background images to the form element. By default, the image URLs for these icons are data URIs. However, there may be cases where data URIs are not ideal, such as in an application with a content security policy that disallows data URIs for security reasons. The `isIconSprite` variation changes the icon source to an external SVG file that serves as a sprite for all of the supported icons.

```ts file="./TextAreaIconSprite.tsx"
```
